org.jbpm.services.task.rule.impl

## Class TaskRuleServiceImpl

- java.lang.Object
- - org.jbpm.services.task.rule.impl.TaskRuleServiceImpl

- All Implemented Interfaces:
    TaskRuleService

      public class TaskRuleServiceImpl
      extends Object
      implements TaskRuleService

- - ### Field Summary

    - ### Fields inherited from interface org.jbpm.services.task.rule.TaskRuleService

      `ADD_TASK_SCOPE, COMPLETE_TASK_SCOPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskRuleServiceImpl()`
    `TaskRuleServiceImpl(RuleContextProvider ruleContextProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `executeRules(org.kie.api.task.model.Task task, String userId, Object params, String scope)`
    `RuleContextProvider` | `getRuleContextProvider()`
    `void` | `setRuleContextProvider(RuleContextProvider ruleContextProvider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskRuleServiceImpl

          public TaskRuleServiceImpl()

    - #### TaskRuleServiceImpl

          public TaskRuleServiceImpl(RuleContextProvider ruleContextProvider)

  - ### Method Detail

    - #### executeRules

          public void executeRules(org.kie.api.task.model.Task task,
                                   String userId,
                                   Object params,
                                   String scope)
                            throws org.kie.internal.task.exception.TaskException

      Specified by:
        `executeRules` in interface `TaskRuleService`
      Throws:
        `org.kie.internal.task.exception.TaskException`

    - #### getRuleContextProvider

          public RuleContextProvider getRuleContextProvider()

    - #### setRuleContextProvider

          public void setRuleContextProvider(RuleContextProvider ruleContextProvider)

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.